/*
 * Class WEL_LVS_EX_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_152 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_152 [] = {0xFF01,1551,151,0xFFFF};
static const EIF_TYPE_INDEX egt_2_152 [] = {0xFF01,151,0xFFFF};
static const EIF_TYPE_INDEX egt_3_152 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_152 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_152 [] = {0xFF01,151,0xFFFF};
static const EIF_TYPE_INDEX egt_6_152 [] = {0xFF01,151,0xFFFF};
static const EIF_TYPE_INDEX egt_7_152 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_152 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_152 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_152 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_152 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_152 [] = {0xFF01,151,0xFFFF};


static const struct desc_info desc_152[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_152), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_152), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_152), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_152), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_152), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_152), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_152), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_152), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_152), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_152), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_152), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_152), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x012F /*151*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_152), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3865, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3866, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3867, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3868, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3869, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3870, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3871, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3872, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3873, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3874, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3876, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3877, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3878, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 3879, 0xFFFFFFFF},
};
void Init152(void)
{
	IDSC(desc_152, 0, 151);
	IDSC(desc_152 + 1, 1, 151);
	IDSC(desc_152 + 32, 169, 151);
}


#ifdef __cplusplus
}
#endif
